### Function

# RB ExtDBKey create_storage

#### Declaration [src]

    RBExtDBKey*
    rb_ext_db_key_create_storage (
      const char* field,
      const char* value
    )

#### Description [src]

Creates a new metadata storage key with a single field. Use `rb_ext_db_key_add_field` to add more.

#### Parameters

`field`

  Type: `const char*`

  Required field name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  Value for field.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `RBExtDBKey`

The new key.

The caller of the function takes ownership of the data, and is responsible for freeing it.